<script setup>
import { mdiThemeLightDark } from "@mdi/js";
import { useStore } from "vuex";
import { computed } from "vue";
import Level from "@/components/Level.vue";
import JbButton from "@/components/JbButton.vue";
import AddButton from "@/components/AddButton.vue";

const store = useStore();

const lightBorderStyle = computed(() => store.state.lightBorderStyle);

const darkMode = computed(() => store.state.darkMode);

const darkModeToggle = () => {
  store.dispatch("darkMode");
};
</script>

<template>
  <section
    :class="lightBorderStyle"
    class="bg-gray-40 dark:bg-gray-900/70 dark:border-gray-900 dark:text-white"
  >
    <level>
      <h1 class="text-lg font-bold leading-tight text-gray-700">
        <slot />
      </h1>
      <!-- <add-button
        label="Add Institute"
        
        @click="darkModeToggle"
      /> -->
    </level>
  </section>
</template>
